fool( cp_actor_name, "cp_actor_name", 1 )
fool( cp_model_dir, "cp_model_dir", 2 )
fool( cp_model_name, "cp_model_name", 3 )

fool( cp_actor_type, "cp_actor_type", 4 )
fool( cp_hit_delay, "cp_hit_delay", 5 )
fool( cp_mutate_hit_delay, "cp_mutate_hit_delay", 6 )
fool( cp_move_type, "cp_move_type", 7 )
fool( cp_weight, "cp_weight", 8 )
fool( cp_hit_power, "cp_hit_power", 9 )
fool( cp_i_collide_with_beasties, "cp_i_collide_with_beasties", 10 )
fool( cp_these_collide_with_me, "cp_these_collide_with_me", 11 )
fool( cp_i_avoid_these_beasties, "cp_i_avoid_these_beasties", 12 )
fool( cp_in_beastie_count, "cp_in_beastie_count", 13 )
fool( cp_in_screen_zoom_box, "cp_in_screen_zoom_box", 14 )

fool( cp_move_speed_min, "cp_move_speed_min", 15 )
fool( cp_move_speed_max, "cp_move_speed_max", 16 )
fool( cp_move_acceleration, "cp_move_acceleration", 17 )
fool( cp_move_deceleration, "cp_move_deceleration", 18 )
fool( cp_move_inertia_accn, "cp_move_inertia_accn", 19 )
fool( cp_move_inertia_decn, "cp_move_inertia_decn", 20 )
fool( cp_burst_length_min, "cp_burst_length_min", 21 )
fool( cp_burst_length_max, "cp_burst_length_max", 22 )
fool( cp_burst_delay_min, "cp_burst_delay_min", 23 )
fool( cp_burst_delay_max, "cp_burst_delay_max", 24 )

fool( cp_look_ahead_dist, "cp_look_ahead_dist", 25 )
fool( cp_repel_dist, "cp_repel_dist", 26 )
fool( cp_target_stop_dist, "cp_target_stop_dist", 27 )
fool( cp_target_delay_min, "cp_target_delay_min", 28 )
fool( cp_target_delay_max, "cp_target_delay_max", 29 )

fool( cp_turn_lock_angle_inner, "cp_turn_lock_angle_inner", 30 )
fool( cp_turn_lock_angle_outer, "cp_turn_lock_angle_outer", 31 )
fool( cp_turn_speed_still, "cp_turn_speed_still", 32 )
fool( cp_turn_acceleration_still, "cp_turn_acceleration_still", 33 )
fool( cp_turn_inertia_still, "cp_turn_inertia_still", 34 )
fool( cp_turn_speed_moving, "cp_turn_speed_moving", 35 )
fool( cp_turn_acceleration_moving, "cp_turn_acceleration_moving", 36 )
fool( cp_turn_inertia_moving, "cp_turn_inertia_moving", 37 )
fool( cp_turn_speed_aiming, "cp_turn_speed_aiming", 38 )

fool( cp_health_regain, "cp_health_regain", 39 )
fool( cp_health_percent, "cp_health_percent", 40 )
fool( cp_health_type, "cp_health_type", 41 )
fool( cp_health_byebye_percent, "cp_health_byebye_percent", 42 )

fool( cp_launch_scale_min, "cp_launch_scale_min", 43 )
fool( cp_launch_scale_max, "cp_launch_scale_max", 44 )
fool( cp_launch_hue_shift, "cp_launch_hue_shift", 45 )

fool( cp_bullet_spray_angle, "cp_bullet_spray_angle", 46 )
fool( cp_blank, "cp_blank", 47 )
fool( cp_player_bullet_rate, "cp_player_bullet_rate", 48 )

fool( cp_random_offset_x, "cp_random_offset_x", 49 )
fool( cp_random_offset_z, "cp_random_offset_z", 50 )

fool( cp_random_trajectory_offset, "cp_random_trajectory_offset", 51 )
fool( cp_random_trajectory_offset_delay_min, "cp_random_trajectory_offset_delay_min", 52 )
fool( cp_random_trajectory_offset_delay_max, "cp_random_trajectory_offset_delay_max", 53 )

fool( cp_random_edge_inner_percent, "cp_random_edge_inner_percent", 54 )
fool( cp_random_edge_outer_percent, "cp_random_edge_outer_percent", 55 )

fool( cp_fence_bounce_percent, "cp_fence_bounce_percent", 56 )
fool( cp_max_explosion_multiply, "cp_max_explosion_multiply", 57 )

fool( cp_rolly_polly_multiply, "cp_rolly_polly_multiply", 58 )
fool( cp_angle_grid_size, "cp_angle_grid_size", 59 )

fool( cp_num_spawn_min, "cp_num_spawn_min", 60 )
fool( cp_num_spawn_max, "cp_num_spawn_max", 61 )
fool( cp_scale_spawn_min, "cp_scale_spawn_min", 62 )
fool( cp_scale_spawn_max, "cp_scale_spawn_max", 63 )

fool( cp_score, "cp_score", 64 )
fool( cp_bonus_seq_hit, "cp_bonus_seq_hit", 65 )
fool( cp_bonus_seq_score, "cp_bonus_seq_score", 66 )
fool( cp_level_end_score, "cp_level_end_score", 67 )

fool( cp_geopus_style, "cp_geopus_style", 68 )
fool( cp_fade_in_translucent, "cp_fade_in_translucent", 69 )

fool( cp_multiple_beast_shoot_rate, "cp_multiple_beast_shoot_rate", 70 )
fool( cp_multiple_beast_base_num, "cp_multiple_beast_base_num", 71 )
fool( cp_difficulty_adjust_speed, "cp_difficulty_adjust_speed", 72 )
fool( cp_difficulty_adjust_shoot, "cp_difficulty_adjust_shoot", 73 )

fool( cp_spin_speed_min, "cp_spin_speed_min", 74 )
fool( cp_spin_speed_max, "cp_spin_speed_max", 75 )

fool( cp_i_am_repelled_by, "cp_i_am_repelled_by", 76 )
fool( cp_move_target, "cp_move_target", 77 )



fool( ci_actor_name, "ci_actor_name", 1 )
fool( ci_unique_name, "ci_unique_name", 2 )
fool( ci_path_name, "ci_path_name", 3 )

fool( ci_model_size, "ci_model_size", 4 )
fool( ci_posn_x, "ci_posn_x", 5 )
fool( ci_posn_y, "ci_posn_y", 6 )
fool( ci_posn_z, "ci_posn_z", 7 )
fool( ci_angle, "ci_angle", 8 )
fool( ci_anim_delay, "ci_anim_delay", 9 )
fool( ci_hue_shift, "ci_hue_shift", 10 )
fool( ci_launch_delay, "ci_launch_delay", 11 )



fool( cmt_track, "cmt_track", 1 )
fool( cmt_path, "cmt_path", 2 )
fool( cmt_flock, "cmt_flock", 4 )
fool( cmt_fixed_dirn, "cmt_fixed_dirn", 8 )
fool( cmt_random, "cmt_random", 16 )
fool( cmt_avoid, "cmt_avoid", 32 )
fool( cmt_repelled, "cmt_repelled", 64 )
fool( cmt_grid_fill, "cmt_grid_fill", 128 )

fool( cmt_anim_to_move, "cmt_anim_to_move", 256 )
fool( cmt_anim_to_turn, "cmt_anim_to_turn", 512 )
fool( cmt_apply_no_dirn, "cmt_apply_no_dirn", 1024 )
fool( cmt_face_gamer, "cmt_face_gamer", 2048 )
fool( cmt_sidestep_bullet, "cmt_sidestep_bullet", 4096 )



fool( cat_ground, "cat_ground", 1 )
fool( cat_fence, "cat_fence", 2 )
fool( cat_fizz, "cat_fizz", 4 )
fool( cat_player, "cat_player", 8 )
fool( cat_bullet, "cat_bullet", 16 )

fool( cat_beastie, "cat_beastie", 32 )
fool( cat_block, "cat_block", 64 )
fool( cat_robot, "cat_robot", 128 )
fool( cat_blocker, "cat_blocker", 256 )
fool( cat_crystal, "cat_crystal", 512 )
fool( cat_flyer, "cat_flyer", 1024 )
fool( cat_webblob, "cat_webblob", 2048 )
fool( cat_mergeblob, "cat_mergeblob", 4096 )
fool( cat_motha, "cat_motha", 8192 )
fool( cat_geopus, "cat_geopus", 16384 )

